commit:     d52b744747a9dc19efbcfa40914d617254c6fd0d
Author:     Hendrik v. Raven <hendrik <AT> consetetur <DOT> de>
AuthorDate: Wed Jan 10 09:03:57 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Feb  4 23:11:15 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d52b7447

dev-tex/biblatex: version bump.

Package-Manager: Portage-2.3.19, Repoman-2.3.6
Closes: https://github.com/gentoo/gentoo/pull/6815

 dev-tex/biblatex/Manifest             |  1 +
 dev-tex/biblatex/biblatex-3.10.ebuild | 40 +++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-tex/biblatex/Manifest b/dev-tex/biblatex/Manifest
index 56ac0b9db6e..56462df3ca5 100644
--- a/dev-tex/biblatex/Manifest
+++ b/dev-tex/biblatex/Manifest
@@ -1,3 +1,4 @@
+DIST biblatex-3.10.tds.tgz 19660675 BLAKE2B 
f02f5f6b5e35354804a752d29d4670d523bc63a0485239c9b46861e7232cd332c258c22c26d3c95afff0033b0e87867a1129ad62f60b49e2ccdadd644b2b3655
 SHA512 
0bab1c5923db071b0a625c713716fe7836210637fcb60768f4bec417b06dd599bfcaec765e0e49d21f93d33ef1e9275ff2b21cc1269b64fed1222439a6d0b161
 DIST biblatex-3.4.tds.tgz 19279991 BLAKE2B 
f387b43f0a3b40dbbeff82bc5523fccf6d3299d09132b884adf718c4fa9bcf11656684d02cbf37382631ecd504f999ebb4d77d59b53a0f9659293b52fb5db1b6
 SHA512 
9b7c4692f4b98df7bf36f8a90e67720cb4f9dc7e47047e0c181b7e95323dd037ba38bad4c77bbcb5d88b1f366e15b579b5e9410055873a160d7728db9d59ac56
 DIST biblatex-3.7.tds.tgz 19378703 BLAKE2B 
1265c73689c803944cfb54ba69918d7076370bb8edd81b9735bb316bd726f33243867e1092b8fb7e339d1614fd0dc05c09b2058d3b29739d7661f0845714f02e
 SHA512 
d81a67b2b29e86e7017919ae1836da7b55da56698fd38f56cfc9377e6c15a8dff6ac28288c6b98a70b570f7db25504f18064093d6e21816c161dba155b6cc8f4
 DIST biblatex-3.9.tds.tgz 19621106 BLAKE2B 
1384d34cc62e695351180ee6879f14dacffc451fd28d0bbe678bd656b1403f2ad0c5e2406e433ec28a54a4fcf37dc9ddb38e77f1c364a674d857a98d56467d44
 SHA512 
b1125f41d50256ee61c085663fe836e3b5b65ac02852168f51164b392dfc9a5b3b54657c9ebeab7c63fca797b61c2d82cc04e563c66e17915e1f14e9e1cdcd41

diff --git a/dev-tex/biblatex/biblatex-3.10.ebuild 
b/dev-tex/biblatex/biblatex-3.10.ebuild
new file mode 100644
index 00000000000..8a4a70670bb
--- /dev/null
+++ b/dev-tex/biblatex/biblatex-3.10.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit latex-package
+
+DESCRIPTION="Reimplementation of the bibliographic facilities provided by 
LaTeX"
+HOMEPAGE="http://www.ctan.org/tex-archive/macros/latex/contrib/biblatex 
https://github.com/plk/biblatex/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tds.tgz"
+
+LICENSE="LPPL-1.3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+biber doc examples"
+
+DEPEND="dev-texlive/texlive-bibtexextra
+       dev-texlive/texlive-latexextra
+       || ( dev-texlive/texlive-plaingeneric dev-texlive/texlive-genericextra 
)"
+RDEPEND="${DEPEND}"
+PDEPEND="biber? ( ~dev-tex/biber-2.10 )"
+
+S="${WORKDIR}"
+TEXMF=/usr/share/texmf-site
+
+src_install() {
+       insinto "${TEXMF}"
+       doins -r bibtex tex
+
+       dodoc doc/latex/biblatex/{README,CHANGES.md}
+       if use doc ; then
+               pushd doc || die
+               latex-package_src_doinstall doc
+               popd || die
+       fi
+
+       if use examples ; then
+               dodoc -r doc/latex/biblatex/examples
+       fi
+}

Reply via email to